get
https://api.servetel.in/v2/broadcasts
This API allows you to fetch list of broadcasts.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API helps you access the entire list of existing broadcasts and their corresponding data. From the fetched broadcast list, you get privy to the number of calls made using a particular campaign, the time the call tries to connect to each number in the list, the agents acting for the broadcast, and more.
Sample Request
curl --request GET \
--url https://api.servetel.in/v2/broadcasts \
--header 'accept: application/json'📘 Important!
Before we begin, note that the * sign denotes the mandatory variables in each table.
Request Variables (Query Params)
The following parameter is required to fetch lists of broadcasts:
| Variable Name | Description | Data Type |
|---|---|---|
| limit | number of records to be fetched. Min: 1 max: 100. | String |
| broadcast_id | Unique ID of the Broadcast. | String |
| page | page number of which broadcasts need to be fetched. | String |
Sample Response
{
"page": 1,
"size": 8,
"limit": 10,
"broadcast_limit": 10,
"results": [
{
"id": "3176",
"name": "trunk",
"description": "trunk",
"destination_type": "ivr",
"destination_id": "7926",
"list_id": "5748",
"list_name": "trunk",
"timeout": 120,
"concurrent_limit": 5,
"caller_id": "+911206891701",
"time_group_id": null,
"time_group_name": null,
"start_date_time": 1596022920,
"end_date_time": 1596220140,
"retry": 1,
"retry_after": 5,
"product_id": null,
"product_name": null,
"sms_notification": {
"type": "Both",
"missed_call_template_id": "79074",
"missed_call_template_name": "Template 9",
"recieved_call_template_id": "79075",
"recieved_call_template_name": "Template 10",
"retry": true
},
"status": 0,
"start_count": 0,
"created_at": 1596022998,
"dialstatus": [
"New",
"Message Played",
"DTMF Pressed",
"No Answer",
"DND",
"Busy",
"Congestion",
"Failed"
]
},
{........},
]
}Response Variables
The response returned is as following:
| Variable Name | Description | Data Type |
|---|---|---|
| limit | number of records to be fetched. Min: 1 max: 100. | Integer |
| size | number of records fetched. | Integer |
| page | page number of which broadcasts need to be fetched. | Integer |
| broadcast_limit | max number of broadcast concurrent limits allowed for the account. | Integer |
| Result[].id | The unique ID of the broadcast. For example, 9. | String |
| Result[].name | The name of the broadcast. For example, Campaign 1. | String |
| Result[].description | The description of the broadcast. For example, Campaign 1 description. | String |
| Result[].destination_type | Type of destination where the broadcast is directed to. For example, ivr, hangup, etc. | String |
| Result[].destination_id | Unique ID of the destination. | String |
| Result[].list_id | The unique ID of the list associated with the broadcast. For example, 70006. | String |
| Result[].list_name | The name of the lists in the broadcast. For example, Campaign list. | String |
| Result[].timeout | The time the call tries to connect to each number in the list. For example, Minimum: 10, Maximum: 60. | Integer |
| Result[].concurrent_limit | The number of channels to be used for broadcast. For example,15. | Integer |
| Result[].caller_id | Caller ID that is showed to the called party. | String |
| Result[].time_group_id | Unique ID of the time_group associated with the broadcast. | String |
| Result[].time_group_name | Name of the time group associated with the broadcast. | String |
| Result[].start_date_time | Date and time in which leads associated with broadcast are called. | String |
| Result[].end_date_time | Date and time till which leads associated with broadcast are called. | String |
| Result[].retry | Specifies Retry count to dial on the dial status other than new. | |
| Result[].retry_after | Time Duration after which the retry will take place. | |
| Result[].product_id | Product ID of the Broadcast product applied on the campaign. | |
| Result[].product_name | Product Name of the Broadcast product applied on the campaign. | |
| Result[].sms_notification.type | Whether SMS is to be triggered for missed, answered or both. | |
| Result[].sms_notification.missed_call_template_id | Template ID of the missed call template. | |
| Result[].sms_notification.missed_call_template_name | Template Name of the missed call template. | |
| Result[].sms_notification.recieved_call_template_id | Template ID of the received call template. | |
| Result[].sms_notification.recieved_call_template_name | Template Name of the received call template. | |
| Result[].sms_notification.retry | If retry is required for SMS. | |
| Result[].status | The current status of the broadcast. For example, The possible values are 0: Inactive, 1: Active, 2: Paused. | Integer |
| Result[].start_count | Number of times that broadcast has been started. | |
| Result[].created_at | Created Time Stamp of the broadcast. | |
| Result[].dialstatus | Dial Status to dial the call on selected in the campaign. |
